//----------------------------------------------------------------------------------------------

// NSBezierPathAdditions.m

//----------------------------------------------------------------------------------------------

// Copyright:	© 2014 by Sequoia Aircraft Corporation., all rights reserved.

/*



*/

#import "NSBezierPathAdditions.h"


@implementation NSBezierPath (OpenClipViewer)

- (void)appendBezierPathWithCrossOfSize:(float)size
{
  float m = size;
  NSPoint pt = [self currentPoint];
  
  [self moveToPoint:NSMakePoint(pt.x - m, pt.y)];
  [self lineToPoint:NSMakePoint(pt.x + m, pt.y)];
  
  [self moveToPoint:NSMakePoint(pt.x, pt.y - m)];
  [self lineToPoint:NSMakePoint(pt.x, pt.y + m)];
  
  [self moveToPoint:pt];
}    


@end
