//----------------------------------------------------------------------------------------------

// OpenClipView.h

//----------------------------------------------------------------------------------------------


#import <Cocoa/Cocoa.h>


@interface OpenClipView : NSView
{
  NSString* mFileName;
}

@property(readwrite,assign)NSString* fileName;


- (id)initWithFrame:(NSRect)frame;
- (void)dealloc;

//- (BOOL)getScale:(NSDictionary *)TheDict theScale:(double *)theScale;
//- (BOOL)getGlobalOrigin:(NSDictionary *)TheDict theOrigin:(NSPoint *)theOrigin;
//- (BOOL)getInsertionPoint:(NSDictionary *)TheDict thePt:(NSPoint *)thePt;

//- (BOOL)getLayerName:(NSDictionary *)TheNSLayer theLayerName:(NSString *)theLayerName;
//- (BOOL)getLayerColor:(NSDictionary *)TheNSLayer r:(float *)r g:(float *)g b:(float *)b a:(float *)a;
//- (BOOL)getLayerScale:(NSDictionary *)TheNSLayer theScale:(double *)theScale;

//- (BOOL)get2DPoint:(NSArray *)Points theIndex:(int)theIndex thePt:(NSPoint *)thePt;
//- (BOOL)get3DPoint:(NSArray *)Points theIndex:(int)theIndex thePt:(NSPoint *)thePt Z:(double *)Z;

//- (BOOL)getObjectZ:(NSDictionary *)TheObj Z:(double *)Z;
//- (BOOL)getObjectClosed:(NSDictionary *)TheObj Closed:(BOOL *)Closed;
//- (BOOL)getPenColor:(NSDictionary *)TheObj;
//- (BOOL)getFillColor:(NSDictionary *)TheObj;
//- (BOOL)getPenSize:(NSDictionary *)TheObj TheSize:(float *)TheSize;
//- (void)getLineDash:(NSDictionary *)TheObj ThePath:(NSBezierPath *)ThePath;

//- (BOOL)getRotationAngle:(NSDictionary *)TheObj TheAngle:(double *)TheAngle;
//- (BOOL)getStartAngle:(NSDictionary *)TheObj TheAngle:(double *)TheAngle;
//- (BOOL)getArcAngle:(NSDictionary *)TheObj TheAngle:(double *)TheAngle;

//- (BOOL)getCornerRadius:(NSDictionary *)TheObj TheRadius:(double *)TheRadius;

//- (void)drawAPoint:(NSPoint)A;
- (void)drawPoint:(NSDictionary *)TheObj;

- (void)drawArrows:(NSDictionary *)TheObj StartPt:(NSPoint)StartPt StartAngle:(double)StartAngle
                                            EndPt:(NSPoint)EndPt EndAngle:(double)EndAngle;
  
- (void)drawLine:(NSDictionary *)TheObj;
- (void)drawRectangle:(NSDictionary *)TheObj;
- (void)drawEllipse:(NSDictionary *)TheObj;
- (void)drawPolygon:(NSDictionary *)TheObj;
- (void)drawBezier:(NSDictionary *)TheObj;

- (void)drawTheList:(NSArray *)TheNSList;
- (void)drawTheAdvancedList:(NSArray *)TheNSList;

- (void)drawTheLayers:(NSArray *)TheNSLayerList;

- (void)writeToPasteboard:(NSDictionary*)TheDocument;

- (BOOL)getOpenClip:(BOOL)doCopy;

- (void)drawOpenClipLogo;

- (void)drawRect:(NSRect)rect;

@end
